> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaleidoswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Swap

> Confirm and execute a previously initiated swap



## OpenAPI

````yaml /openapi.json post /api/v1/swaps/execute
openapi: 3.1.0
info:
  title: Kaleidoswap RGB-LSP API
  description: API for managing swaps and channels
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/swaps/execute:
    post:
      tags:
        - swaps
      summary: Confirm Swap
      operationId: confirm_swap_api_v1_swaps_execute_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConfirmSwapRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfirmSwapResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ConfirmSwapRequest:
      properties:
        swapstring:
          type: string
          title: Swapstring
          example: >-
            30/rgb:2dkSTbr-jFhznbPmo-TQafzswCN-av4gTsJjX-ttx6CNou5-M98k8Zd/10/rgb:2eVw8uw-8G88LQ2tQ-kexM12SoD-nCX8DmQrw-yLMu6JDfK-xx1SCfc/1715896416/9d342c6ba006e24abee84a2e034a22d5e30c1f2599fb9c3574d46d3cde3d65a2
        taker_pubkey:
          type: string
          title: Taker Pubkey
          example: 034eedc97802d7e2766704bd06d6bfded8aa2d35a1a007e277fd7278f3dc962706
        payment_hash:
          type: string
          title: Payment Hash
          example: 9d342c6ba006e24abee84a2e034a22d5e30c1f2599fb9c3574d46d3cde3d65a2
      type: object
      required:
        - swapstring
        - taker_pubkey
        - payment_hash
      title: ConfirmSwapRequest
    ConfirmSwapResponse:
      properties:
        status:
          type: integer
          title: Status
          example: 200
        message:
          type: string
          title: Message
          example: Swap executed successfully.
      type: object
      required:
        - status
        - message
      title: ConfirmSwapResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````